Bug 17989 - i18n-ISSUE-91: 15 minute time zones
i18n-ISSUE-91: 15 minute time zones
Status: RESOLVED FIXED
Product: WHATWG
Classification: Unclassified
Component: HTML
unspecified
Other other
: P3 normal
: Unsorted
Assigned To: Ian 'Hixie' Hickson
contributor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 07:29 UTC by contributor
Modified: 2012-07-23 03:57 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 07:29:48 UTC
This was was cloned from bug 16961 as part of operation convergence.
Originally filed: 2012-05-07 17:15:00 +0000
Original reporter: Addison Phillips <addison@lab126.com>

================================================================================
 #0   Addison Phillips                                2012-05-07 17:15:05 +0000 
--------------------------------------------------------------------------------
2.5.5.5 Global dates and times
http://www.w3.org/TR/html5/common-microsyntaxes.html#global-dates-and-times

The note on time zone offsets says in part: "...and the minutes component of offsets of actual time zones is always either 00, 30, or 45." Really this is arbitrary and prone to change. The total range of time zones also changes from time to time. I would suggest inserting a "at the time this document was published" caveat such that innocent readers are not caught by surprise by a new 15 minute time zone offset or by more monkey business surrounding the IDL.
================================================================================
 #1   Ian 'Hixie' Hickson                             2012-05-08 00:16:02 +0000 
--------------------------------------------------------------------------------
Status: Rejected
Change Description: no spec change
Rationale: The document is republished every few minutes, so that wouldn't help much.

If the time zones change such that this note is wrong, we'll fix the note.
================================================================================
 #2   Addison Phillips                                2012-05-08 00:51:05 +0000 
--------------------------------------------------------------------------------
It wouldn't hurt to make the change, though. It is sometimes useful to remind people that time zones are subject to (actually quite frequent) change. A lot of implementers are blissfully unaware of that fact.
================================================================================
 #3   Addison Phillips                                2012-05-08 00:52:03 +0000 
--------------------------------------------------------------------------------
And I should add: it may be better if implementations, tests, etc. didn't assume these values were true in a hardcoded fashion.
================================================================================
Comment 1 Ian 'Hixie' Hickson 2012-07-20 04:39:22 UTC
Let me know if the new wording is satisfactory...
Comment 2 contributor 2012-07-20 04:40:01 UTC
Checked in as WHATWG revision r7196.
Check-in comment: Clarify that time zones change, to encourage implementors not to make bad assumptions.
http://html5.org/tools/web-apps-tracker?from=7195&to=7196